#ifndef PQDESKTOPSERVICES_H
#define PQDESKTOPSERVICES_H

#include <QDesktopServices>
#include "classes/pqwidget.h"

class PQDesktopServices;
class PQDesktopServices : public QObject, public QDesktopServices {
    Q_OBJECT
    PQ_OBJECT_EX(QObject)

public:
    Q_INVOKABLE explicit PQDesktopServices();
    virtual ~PQDesktopServices();

    Q_INVOKABLE static bool openUrl(const QString &url);
};

#endif // PQDESKTOPSERVICES_H
